license_plate_api_portugal
====================

Um pacote Dart para procurar detalhes tecnicos de veiculos registrados no portugal por sua matricula

`license_plate_api_portugal` fornece uma maneira simples de encontrar detalhes do veiculo em uma placa (numero de registro)
de um carro registrado no portugal

Isso requer um nome de usuario e senha, disponiveis gratuitamente em http://matricula.co.pt/
## English

A Dart package for looking up technical details on vehicles registered in portugal by their license plate

`license_plate_api_portugal` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in portugal

This requires a username and password, which is available for free from http://matricula.co.pt/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_portugal/license_plate_api_portugal.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *MATRICULA* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://matricula.co.pt/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://matricula.co.pt/

